package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.JobEnterpriseRelation;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface JobEnterpriseRelationDAO {
	int insert(JobEnterpriseRelation entity);
	int update(JobEnterpriseRelation entity);
	int exist(String id);
	JobEnterpriseRelation get(String id);
	int delete(String id);
	List<JobEnterpriseRelation> list();
	List<JobEnterpriseRelation> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<JobEnterpriseRelation> searchMobile(Map<String, Object> searchParams, List<Sort> sortList);

	List<JobEnterpriseRelation> findByEnterpriseId(String enterpriseId);
	Integer countByJobInformationId(String jobInformationId);
	JobEnterpriseRelation findByEnterpriseIdAndJobInformationId(String enterpriseId,String jobInformationId);
	int findNotReadNumByEnterpriseId(String enterpriseId);
	int findNotReadNumByPersonId(String personId);
	JobEnterpriseRelation findByPersonIdAndRecruitId(String personId,String recruitId);
}