package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.PersonInfo;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface PersonInfoDAO {
	int insert(PersonInfo entity);
	int update(PersonInfo entity);
	int exist(String id);
	PersonInfo get(String id);
	int delete(String id);
	List<PersonInfo> list();
	List<PersonInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

	PersonInfo findByOpenId(String openId);
	int clearOpenId(String id);
	PersonInfo findByPhone(String phone);
	Integer dailyReportList(@Param("searchParams") Map<String, Object> searchParams);
	Integer dailyPersonReg(@Param("searchParams") Map<String, Object> searchParams);
	PersonInfo findByEnterpriseId(String enterpriseId);
}