package com.jpsoft.employment.modules.base.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import com.jpsoft.employment.modules.base.entity.RecruitPersonRelation;
import java.util.Map;
import com.jpsoft.employment.modules.common.dto.Sort;

@Repository
public interface RecruitPersonRelationDAO {
	int insert(RecruitPersonRelation entity);
	int update(RecruitPersonRelation entity);
	int exist(String id);
	RecruitPersonRelation get(String id);
	int delete(String id);
	List<RecruitPersonRelation> list();
	List<RecruitPersonRelation> search(Map<String, Object> searchParams, List<Sort> sortList);
	List<RecruitPersonRelation> searchMobile(Map<String, Object> searchParams, List<Sort> sortList);
	RecruitPersonRelation findByRecruitIdAndPersonId(String recruitId,String personId);

	List<RecruitPersonRelation> findByPersonId(String personId);

	Integer isReadCountByRecruit(String recruitId);
	int findNotReadNumByEnterpriseId(String enterpriseId);
	int findNotReadNumByPersonId(String personId);
	RecruitPersonRelation findByPersonIdAndRecruitId(String personId, String recruitId);
	Integer dailyReportList(@Param("searchParams") Map<String, Object> searchParams);
}