package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_enterprise_info的实体类
 */
@Data
public class EnterpriseInfo {

	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "企业名称")
	private String name;

	@ApiModelProperty(value = "营业执照图片")
	private String licenseImage;

	@ApiModelProperty(value = "认证状态")
	private String status;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;


	@ApiModelProperty(value = "企业地址")
	private String address;

	@ApiModelProperty(value = "联系人ID")
	private String contactsPersonId;

	@ApiModelProperty(value = "认证时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date checkTime;

	@ApiModelProperty(value = "联系电话")
	private String contactsPhone;
}