package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_generate_report的实体类
 */
@Data
public class GenerateReport {
	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "日期")
	private Date date;

	@ApiModelProperty(value = "新增登录人数")
	private Integer loginNum;

	@ApiModelProperty(value = "累计登录人数")
	private Integer totalLoginNum;

	@ApiModelProperty(value = "今日注册人数")
	private Integer dailyPersonRegNum;

	@ApiModelProperty(value = "累计注册人数")
	private Integer totalPersonRegNum;

	@ApiModelProperty(value = "新增求职登记人数")
	private Integer personNum;

	@ApiModelProperty(value = "累计求职登记人数")
	private Integer totalPersonNum;

	@ApiModelProperty(value = "累计简历数")
	private Integer totalJobInformation;

	@ApiModelProperty(value = "新增线上认证企业数量")
	private Integer enterpriseNum;

	@ApiModelProperty(value = "累计认证企业数量")
	private Integer totalEnterpriseNum;

	@ApiModelProperty(value = "新增岗位发布数量")
	private Integer recruitNum;

	@ApiModelProperty(value = "实时发布岗位数")
	private Integer totalRecruitNum;

	@ApiModelProperty(value = "累计岗位发布数量")
	private Integer totalRecruitStatusNum;

	@ApiModelProperty(value = "岗位需求人数")
	private Integer jobRequirementNum;

	@ApiModelProperty(value = "累计岗位需求人数")
	private Integer totalJobRequirementNum;

	@ApiModelProperty(value = "今日报名人数")
	private Integer jobInformationNum;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;


	@Transient
	@ApiModelProperty(value = "日期")
	private String dateStr;
}