package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_job_enterprise_relation的实体类
 */

@Data
public class JobEnterpriseRelation {

	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "求职信息ID")
	private String jobInformationId;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;


	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	@Transient
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@Transient
	@ApiModelProperty(value = "企业地址")
	private String enterpriseAddress;

	@Transient
	@ApiModelProperty(value = "信息")
	private JobInformationInfo jobInformationInfo;

	@ApiModelProperty(value = "岗位信息ID")
	private String recruitInformationId;


	@ApiModelProperty(value = "是否已读")
	private Boolean isRead = false;

	@Transient
	@ApiModelProperty(value = "岗位信息")
	private RecruitInformationInfo recruitInformationInfo;

	@Transient
	@ApiModelProperty(value = "受邀人信息")
	private PersonInfo workPersonInfo;

	@Transient
	@ApiModelProperty(value = "招聘企业岗位")
	private String recruitPositionName;

}