package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_job_information_info的实体类
 */
@Data
public class JobInformationInfo {

	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "人员ID")
	private String personId;

	@ApiModelProperty(value = "照片")
	private String photo;

	@ApiModelProperty(value = "服务描述")
	private String serviceDesc;

	@ApiModelProperty(value = "意向行业")
	private String intendedIndustries;

	@ApiModelProperty(value = "意向岗位")
	private String intendedPosition;

	@ApiModelProperty(value = "期望薪资")
	private Integer hopeSalary;

	@ApiModelProperty(value = "结算方式")
	private String method;

	@ApiModelProperty(value = "工作经验")
	private String workExperience;

	@ApiModelProperty(value = "学历")
	private String education;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	public Date getUpdateTime(){
		Date returnTime = updateTime;
		if(updateTime == null){
			updateTime = createTime;
		}
		return  returnTime;
	}

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;


	@Transient
	@ApiModelProperty(value = "真实姓名")
	private String personName;

	@Transient
	@ApiModelProperty(value = "手机号码")
	private String personPhone;

	@Transient
	@ApiModelProperty(value = "意向行业翻译")
	private String intendedIndustriesN;


	@Transient
	@ApiModelProperty(value = "结算方式翻译")
	private String methodN;

	@Transient
	@ApiModelProperty(value = "工作经验翻译")
	private String workExperienceN;

	@Transient
	@ApiModelProperty(value = "学历翻译")
	private String educationN;

	@ApiModelProperty(value = "浏览次数")
	private Integer browseNumber;

	@Transient
	@ApiModelProperty(value = "出生日期")
	@DateTimeFormat(pattern="yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date birthday;

	@Transient
	@ApiModelProperty(value = "年龄")
	private Integer age;

	@Transient
	@ApiModelProperty(value = "是否已读")
	private Boolean isRead;

	@Transient
	@ApiModelProperty(value = "是否已读状态是否修改")
	private Boolean isReadStatus;

	@Transient
	@ApiModelProperty(value = "性别")
	private String gender;

	@ApiModelProperty(value = "居住地")
	private String address;

	@Transient
	@ApiModelProperty(value = "是否已读数量")
	private Integer isReadNumber;

	@Transient
	@ApiModelProperty(value = "是否匿名")
	private Boolean isAnonymous = true;

	@Transient
	@ApiModelProperty(value = "简历状态(1公开0隐藏")
	private String jobStatus;

	@Transient
	@ApiModelProperty(value = "上次登陆时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastLoginTime;
}