package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_person_info的实体类
 */
@Data
public class PersonInfo {

	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "用户名")
	private String userName;

	@ApiModelProperty(value = "密码")
	private String password;

	@ApiModelProperty(value = "真实姓名")
	private String realName;

	@ApiModelProperty(value = "联系电话")
	private String phone;

	@ApiModelProperty(value = "身份证号")
	private String idCard;

	@ApiModelProperty(value = "微信openId")
	private String openId;

	@ApiModelProperty(value = "照片")
	private String photo;

	@ApiModelProperty(value = "关联企业")
	private String enterpriseId;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	@ApiModelProperty(value = "性别")
	private String gender;

	@ApiModelProperty(value = "年龄")
	private Integer age;

	@ApiModelProperty(value = "求职意向(1求职中,2已入职")
	private String intention;

	public String getIntention(){
		String str = "1";
		if(StringUtils.isNotEmpty(intention)){
			str = intention;
		}
		return str;
	}

	@ApiModelProperty(value = "是否匿名")
	private Boolean isAnonymous = false;

	@ApiModelProperty(value = "简历状态(1公开0隐藏")
	private String jobStatus;

	@ApiModelProperty(value = "手机号上次修改时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date phoneLastUpdateTime;

	@ApiModelProperty(value = "认证时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date checkTime;

	@ApiModelProperty(value = "申请认证时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date applicationCheckTime;
}