package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import java.util.List;

import com.jpsoft.employment.modules.base.dto.ImageDTO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_recruit_information_info的实体类
 */
@Data
public class RecruitInformationInfo {
	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "企业ID")
	private String enterpriseId;

	@ApiModelProperty(value = "职位名称")
	private String positionName;

	@ApiModelProperty(value = "薪水待遇")
	private String salary;

	@ApiModelProperty(value = "结算方式")
	private String settlementMethod;

	@ApiModelProperty(value = "行业")
	private String industry;

	@ApiModelProperty(value = "招聘人数")
	private String recruitingNumbers;

	@ApiModelProperty(value = "职位描述")
	private String desc;

	@ApiModelProperty(value = "联系人")
	private String contacts;

	@ApiModelProperty(value = "联系电话")
	private String contactsPhone;

	@ApiModelProperty(value = "工作地区")
	private String workArea;

	@ApiModelProperty(value = "详细地址")
	private String address;

	@ApiModelProperty(value = "浏览次数")
	private Integer browseNumber;

	@ApiModelProperty(value = "状态")
	private String status;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	@ApiModelProperty(value = "薪资形式")
	private String salaryForm;

	@ApiModelProperty(value = "是否上线")
	private Boolean isOnline;

	@ApiModelProperty(value = "年龄要求")
	private String ageRequirement;

	@ApiModelProperty(value = "是否置顶")
	private Boolean isTopping;

	@ApiModelProperty(value = "图片")
	private String images;

	@Transient
	@ApiModelProperty(value = "薪资形式翻译")
	private String salaryFormN;



	@Transient
	@ApiModelProperty(value = "企业名称")
	private String enterpriseName;

	@Transient
	@ApiModelProperty(value = "行业翻译")
	private String industryN;

	@Transient
	@ApiModelProperty(value = "结算方式翻译")
	private String settlementMethodN;

	@Transient
	@ApiModelProperty(value = "未读数量")
	private Integer isReadNumber;

	@Transient
	@ApiModelProperty(value = "企业用户上次登陆时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date lastLoginTime;


	@Transient
	@ApiModelProperty(value = "图片")
	private List<ImageDTO> fileList;
}