package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_recruit_person_relation的实体类
 */
@Data
public class RecruitPersonRelation {

	@ApiModelProperty(value = "编号")
	private String id;

	@ApiModelProperty(value = "用工人员ID")
	private String workPersonId;

	@ApiModelProperty(value = "简历ID")
	private String jobInformationId;

	@ApiModelProperty(value = "招募信息ID")
	private String recruitInformationId;

	@ApiModelProperty(value = "创建人")
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@ApiModelProperty(value = "更新人")
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	@ApiModelProperty(value = "是否删除")
	private Boolean delFlag;

	@ApiModelProperty(value = "是否已读")
	private Boolean isRead = false;


	@Transient
	@ApiModelProperty(value = "用工人员姓名")
	private String workPersonName;

	@Transient
	@ApiModelProperty(value = "联系电话")
	private String phone;

	@Transient
	@ApiModelProperty(value = "身份证号")
	private String idCard;

	@Transient
	@ApiModelProperty(value = "性别")
	private String gender;

	@Transient
	@ApiModelProperty(value = "年龄")
	private Integer age;

	@Transient
	@ApiModelProperty(value = "信息")
	private RecruitInformationInfo recruitInformationInfo;

	@Transient
	@ApiModelProperty(value = "用户信息")
	private PersonInfo workPersonInfo;
	@Transient
	@ApiModelProperty(value = "用户简历")
	private JobInformationInfo jobInformationInfo;
}