package com.jpsoft.employment.modules.base.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.data.annotation.Transient;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:base_training_person的实体类
 */
@Data
public class TrainingPerson {
	private String id;
	private String personId;
	private String trainingId;
	private String createBy;

	@ApiModelProperty(value = "创建时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	private String updateBy;

	@ApiModelProperty(value = "更新时间")
	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm:ss")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	private Boolean delFlag;

	@Transient
	@ApiModelProperty(value = "用工人员姓名")
	private String workPersonName;

	@Transient
	@ApiModelProperty(value = "联系电话")
	private String phone;

	@Transient
	@ApiModelProperty(value = "身份证号")
	private String idCard;

	@Transient
	@ApiModelProperty(value = "性别")
	private String gender;

	@Transient
	@ApiModelProperty(value = "年龄")
	private Integer age;

}