package com.jpsoft.employment.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.employment.modules.base.dao.EnterpriseInfoDAO;
import com.jpsoft.employment.modules.base.entity.EnterpriseInfo;
import com.jpsoft.employment.modules.base.service.EnterpriseInfoService;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="enterpriseInfoService")
public class EnterpriseInfoServiceImpl implements EnterpriseInfoService {
	@Resource(name="enterpriseInfoDAO")
	private EnterpriseInfoDAO enterpriseInfoDAO;

	@Override
	public EnterpriseInfo get(String id) {
		// TODO Auto-generated method stub
		return enterpriseInfoDAO.get(id);
	}

	@Override
	public int insert(EnterpriseInfo model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return enterpriseInfoDAO.insert(model);
	}

	@Override
	public int update(EnterpriseInfo model) {
		// TODO Auto-generated method stub
		return enterpriseInfoDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return enterpriseInfoDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = enterpriseInfoDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<EnterpriseInfo> list() {
		// TODO Auto-generated method stub
		return enterpriseInfoDAO.list();
	}


	@Override
	public EnterpriseInfo findByName(String name){
		return enterpriseInfoDAO.findByName(name);
	}
		
	@Override
	public Page<EnterpriseInfo> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<EnterpriseInfo> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            enterpriseInfoDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public Integer dailyReportList(Map<String, Object> searchParams){
		return enterpriseInfoDAO.dailyReportList(searchParams);
	}
}