package com.jpsoft.employment.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.employment.modules.base.dao.GenerateReportDAO;
import com.jpsoft.employment.modules.base.entity.GenerateReport;
import com.jpsoft.employment.modules.base.service.GenerateReportService;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="generateReportService")
public class GenerateReportServiceImpl implements GenerateReportService {
	@Resource(name="generateReportDAO")
	private GenerateReportDAO generateReportDAO;

	@Override
	public GenerateReport get(String id) {
		// TODO Auto-generated method stub
		return generateReportDAO.get(id);
	}

	@Override
	public int insert(GenerateReport model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return generateReportDAO.insert(model);
	}

	@Override
	public int update(GenerateReport model) {
		// TODO Auto-generated method stub
		return generateReportDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return generateReportDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = generateReportDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<GenerateReport> list() {
		// TODO Auto-generated method stub
		return generateReportDAO.list();
	}

	@Override
	public GenerateReport findByDate(Map<String, Object> searchParams){
		return generateReportDAO.findByDate(searchParams);
	}
		
	@Override
	public Page<GenerateReport> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<GenerateReport> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            generateReportDAO.search(searchParams,sortList);
        });
        
        return page;
	}
}