package com.jpsoft.employment.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.employment.modules.base.dao.JobEnterpriseRelationDAO;
import com.jpsoft.employment.modules.base.entity.JobEnterpriseRelation;
import com.jpsoft.employment.modules.base.service.JobEnterpriseRelationService;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="jobEnterpriseRelationService")
public class JobEnterpriseRelationServiceImpl implements JobEnterpriseRelationService {
	@Resource(name="jobEnterpriseRelationDAO")
	private JobEnterpriseRelationDAO jobEnterpriseRelationDAO;

	@Override
	public JobEnterpriseRelation get(String id) {
		// TODO Auto-generated method stub
		return jobEnterpriseRelationDAO.get(id);
	}

	@Override
	public int insert(JobEnterpriseRelation model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return jobEnterpriseRelationDAO.insert(model);
	}

	@Override
	public int update(JobEnterpriseRelation model) {
		// TODO Auto-generated method stub
		return jobEnterpriseRelationDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return jobEnterpriseRelationDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = jobEnterpriseRelationDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<JobEnterpriseRelation> list() {
		// TODO Auto-generated method stub
		return jobEnterpriseRelationDAO.list();
	}
		
	@Override
	public Page<JobEnterpriseRelation> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<JobEnterpriseRelation> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            jobEnterpriseRelationDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public Page<JobEnterpriseRelation> pageSearchMobile(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
		Page<JobEnterpriseRelation> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
			jobEnterpriseRelationDAO.searchMobile(searchParams,sortList);
		});

		return page;
	}

	@Override
	public List<JobEnterpriseRelation> findByEnterpriseId(String enterpriseId){
		return jobEnterpriseRelationDAO.findByEnterpriseId(enterpriseId);
	}

	@Override
	public JobEnterpriseRelation findByEnterpriseIdAndJobInformationId(String enterpriseId,String jobInformationId){
		return jobEnterpriseRelationDAO.findByEnterpriseIdAndJobInformationId(enterpriseId,jobInformationId);
	}


	@Override
	public Integer countByJobInformationId(String jobInformationId){
		return jobEnterpriseRelationDAO.countByJobInformationId(jobInformationId);
	}

	@Override
	public int findNotReadNumByEnterpriseId(String enterpriseId){
		return jobEnterpriseRelationDAO.findNotReadNumByEnterpriseId(enterpriseId);
	}

	@Override
	public int findNotReadNumByPersonId(String personId){
		return jobEnterpriseRelationDAO.findNotReadNumByPersonId(personId);
	}

	@Override
	public JobEnterpriseRelation findByPersonIdAndRecruitId(String personId,String recruitId){
		return jobEnterpriseRelationDAO.findByPersonIdAndRecruitId(personId,recruitId);
	}
}