package com.jpsoft.employment.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.employment.modules.base.dao.PersonLoginLogDAO;
import com.jpsoft.employment.modules.base.entity.PersonLoginLog;
import com.jpsoft.employment.modules.base.service.PersonLoginLogService;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="personLoginLogService")
public class PersonLoginLogServiceImpl implements PersonLoginLogService {
	@Resource(name="personLoginLogDAO")
	private PersonLoginLogDAO personLoginLogDAO;

	@Override
	public PersonLoginLog get(String id) {
		// TODO Auto-generated method stub
		return personLoginLogDAO.get(id);
	}

	@Override
	public int insert(PersonLoginLog model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return personLoginLogDAO.insert(model);
	}

	@Override
	public int update(PersonLoginLog model) {
		// TODO Auto-generated method stub
		return personLoginLogDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return personLoginLogDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = personLoginLogDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<PersonLoginLog> list() {
		// TODO Auto-generated method stub
		return personLoginLogDAO.list();
	}
		
	@Override
	public Page<PersonLoginLog> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<PersonLoginLog> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            personLoginLogDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public Page<Map> dailyReportPage(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
		Page<Map> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
			personLoginLogDAO.dailyReport(searchParams,sortList);
		});

		return page;
	}


	@Override
	public Integer dailyReportList(Map<String, Object> searchParams){
		return personLoginLogDAO.dailyReportList(searchParams);
	}


	@Override
	public List<String> totalDailyReportList(Map<String, Object> searchParams){
		return personLoginLogDAO.totalDailyReportList(searchParams);
	}

	@Override
	public PersonLoginLog findTopByPersonId(String personId){
		return personLoginLogDAO.findTopByPersonId(personId);
	}

	@Override
	public PersonLoginLog lastLogin(String personId){
		return personLoginLogDAO.lastLogin(personId);
	}
}