package com.jpsoft.employment.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.employment.modules.base.dao.RecruitPersonRelationDAO;
import com.jpsoft.employment.modules.base.entity.RecruitPersonRelation;
import com.jpsoft.employment.modules.base.service.RecruitPersonRelationService;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="recruitPersonRelationService")
public class RecruitPersonRelationServiceImpl implements RecruitPersonRelationService {
	@Resource(name="recruitPersonRelationDAO")
	private RecruitPersonRelationDAO recruitPersonRelationDAO;

	@Override
	public RecruitPersonRelation get(String id) {
		// TODO Auto-generated method stub
		return recruitPersonRelationDAO.get(id);
	}

	@Override
	public int insert(RecruitPersonRelation model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return recruitPersonRelationDAO.insert(model);
	}

	@Override
	public int update(RecruitPersonRelation model) {
		// TODO Auto-generated method stub
		return recruitPersonRelationDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return recruitPersonRelationDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = recruitPersonRelationDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<RecruitPersonRelation> list() {
		// TODO Auto-generated method stub
		return recruitPersonRelationDAO.list();
	}
		
	@Override
	public Page<RecruitPersonRelation> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<RecruitPersonRelation> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            recruitPersonRelationDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public Page<RecruitPersonRelation> pageSearchMobile(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
		Page<RecruitPersonRelation> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
			recruitPersonRelationDAO.searchMobile(searchParams,sortList);
		});

		return page;
	}

	@Override
	public RecruitPersonRelation findByRecruitIdAndPersonId(String recruitId,String personId){
		return recruitPersonRelationDAO.findByRecruitIdAndPersonId(recruitId,personId);
	}

	@Override
	public List<RecruitPersonRelation> findByPersonId(String personId){
		return recruitPersonRelationDAO.findByPersonId(personId);
	}


	@Override
	public Integer isReadCountByRecruit(String recruitId){
		return recruitPersonRelationDAO.isReadCountByRecruit(recruitId);
	}

	@Override
	public int findNotReadNumByEnterpriseId(String enterpriseId){
		return recruitPersonRelationDAO.findNotReadNumByEnterpriseId(enterpriseId);
	}

	@Override
	public int findNotReadNumByPersonId(String personId){
		return recruitPersonRelationDAO.findNotReadNumByPersonId(personId);
	}

	@Override
	public RecruitPersonRelation findByPersonIdAndRecruitId(String personId, String recruitId){
		return recruitPersonRelationDAO.findByPersonIdAndRecruitId(personId,recruitId);
	}

	@Override
	public Integer dailyReportList(Map<String, Object> searchParams){
		return recruitPersonRelationDAO.dailyReportList(searchParams);
	}
}