package com.jpsoft.employment.modules.base.service.impl;

import java.util.List;
import java.util.Map;
import java.util.UUID;
import javax.annotation.Resource;
import org.springframework.stereotype.Component;
import org.springframework.transaction.annotation.Transactional;
import com.jpsoft.employment.modules.base.dao.TrainingPersonDAO;
import com.jpsoft.employment.modules.base.entity.TrainingPerson;
import com.jpsoft.employment.modules.base.service.TrainingPersonService;
import com.github.pagehelper.Page;
import com.jpsoft.employment.modules.common.dto.Sort;
import com.github.pagehelper.PageHelper;

@Transactional
@Component(value="trainingPersonService")
public class TrainingPersonServiceImpl implements TrainingPersonService {
	@Resource(name="trainingPersonDAO")
	private TrainingPersonDAO trainingPersonDAO;

	@Override
	public TrainingPerson get(String id) {
		// TODO Auto-generated method stub
		return trainingPersonDAO.get(id);
	}

	@Override
	public int insert(TrainingPerson model) {
		// TODO Auto-generated method stub
		//model.setId(UUID.randomUUID().toString());
		
		return trainingPersonDAO.insert(model);
	}

	@Override
	public int update(TrainingPerson model) {
		// TODO Auto-generated method stub
		return trainingPersonDAO.update(model);		
	}

	@Override
	public int delete(String id) {
		// TODO Auto-generated method stub
		return trainingPersonDAO.delete(id);
	}

	@Override
	public boolean exist(String id) {
		// TODO Auto-generated method stub
		int count = trainingPersonDAO.exist(id);
		
		return count > 0 ? true : false;
	}
	
	@Override
	public List<TrainingPerson> list() {
		// TODO Auto-generated method stub
		return trainingPersonDAO.list();
	}
		
	@Override
	public Page<TrainingPerson> pageSearch(Map<String, Object> searchParams, int pageNumber, int pageSize,boolean count,List<Sort> sortList) {
        Page<TrainingPerson> page = PageHelper.startPage(pageNumber,pageSize,count).doSelectPage(()->{
            trainingPersonDAO.search(searchParams,sortList);
        });
        
        return page;
	}

	@Override
	public TrainingPerson findByTrainingIdAndPersonId(String trainingId,String personId){
		return trainingPersonDAO.findByTrainingIdAndPersonId(trainingId,personId);
	}
}